#ON JOIN
scoreboard players add @a joined 0
execute as @a [scores={joined=0}] at @s run function Spawn/on_join
scoreboard players reset * joined
scoreboard players set @a joined 1


#DISPLAYS
execute if entity @a [tag=STTlobby] run function STT/displays/0
execute if entity @a [tag=BBlobby] run function BB/displays/0
execute if entity @a [tag=BRlobby] run function BR/displays/0
execute if entity @a [tag=SPLEEFlobby] run function SPLEEF/displays/0
execute if entity @a [tag=SFlobby] run function SF/displays/0


#SPAWN
execute positioned 300 0 300 if entity @a [r=100] run function freeze_entities
execute positioned 300 0 300 if entity @a [r=100] run effect @a [r=100] regeneration 11 255 true


#TIMER & EVENTS
scoreboard players add ticks timer 1
scoreboard players operation * event = ticks timer

#Run Games
scoreboard players operation 1s event %= 20t value
execute if entity @e [name=STT,tag=STTstarted] run function STT/on
execute if entity @e [name=BB,tag=BBstarted] run function BB/on
execute if entity @e [name=SPLEEF,tag=SPLEEFstarted] run function SPLEEF/on
execute if entity @e [name=SF,tag=SFstarted] run function SF/on
execute if entity @e [name=BR,tag=BRstarted] run function BR/on

#Refresh Leaderboard
scoreboard players operation "Refresh Leaderboard" event %= 200t value
execute if score "Refresh Leaderboard" event matches 0 run function lb

#Spawn Music
scoreboard players operation "Spawn Music" event %= 5000t value
execute if score "Spawn Music" event matches 0 run function Music/spawn

#Custom Displays
scoreboard players operation "Custom Displays" event %= 200t value
execute if score "Custom Displays" event matches 0 run function particles